## cfgrib 0.8.4.4

=== Makefile ===

PACKAGE := cfgrib
IMAGE := $(PACKAGE)
MODULE := $(PACKAGE)
PYTHONS := python3.7 python3.6 python3.5 pypy3 python2.7 pypy

export WHEELHOUSE := ~/.wheelhouse
export PIP_FIND_LINKS := $(WHEELHOUSE)
export PIP_WHEEL_DIR := $(WHEELHOUSE)
export PIP_INDEX_URL

DOCKERBUILDFLAGS :=
DOCKERFLAGS := -e WHEELHOUSE=$(WHEELHOUSE) \
	-e PIP_FIND_LINKS=$(PIP_FIND_LINKS) \
	-e PIP_WHEEL_DIR=$(PIP_WHEEL_DIR) \
	-e PIP_INDEX_URL=$$PIP_INDEX_URL
PIP := pip
MKDIR = mkdir -p

ifeq ($(shell [ -d $(WHEELHOUSE) ] && echo true),true)
    DOCKERFLAGS += -v $(WHEELHOUSE):/root/.wheelhouse
endif

RUNTIME := $(shell [ -f /proc/1/cgroup ] && cat /proc/1/cgroup | grep -q docker && echo docker)
ifneq ($(RUNTIME),docker)
    override TOXFLAGS += --workdir=.docker-tox
    RUN = docker run --rm -it -v$$(pwd):/src -w/src $(DOCKERFLAGS) $(IMAGE)
endif


default:
	@echo No default

# local targets

$(PIP_FIND_LINKS):
	$(MKDIR) $@

local-wheelhouse-one:
	$(PIP) install wheel
	$(PIP) wheel -r ci/requirements-tests.txt
	$(PIP) wheel -r ci/requirements-docs.txt

local-wheelhouse:
	for PYTHON in $(PYTHONS); do $(MAKE) local-wheelhouse-one PIP="$$PYTHON -m pip"; done
	$(PIP) wheel -r ci/requirements-dev.txt

local-install-dev-req:
	$(PIP) install -r ci/requirements-dev.txt

local-install-test-req: $(PIP_FIND_LINKS)
	$(PIP) install -r ci/requirements-tests.txt

local-develop:
	$(PIP) install -e .

local-wheel:
	$(PIP) wheel -e .

testclean:
	$(RM) -r */__pycache__ .coverage .cache tests/.ipynb_checkpoints

clean: testclean
	$(RM) -r */*.pyc htmlcov dist build .eggs

distclean: clean
	$(RM) -r .tox .docker-tox *.egg-info

cacheclean:
	$(RM) -r $(WHEELHOUSE)/* ~/.cache/*

# container targets

shell:
	$(RUN)

notebook: DOCKERFLAGS += -p 8888:8888
notebook:
	$(RUN) jupyter notebook --ip=* --allow-root

wheelhouse:
	$(RUN) make local-wheelhouse

update-req:
	$(RUN) pip-compile -o ci/requirements-tests.txt -U setup.py ci/requirements-tests.in
	$(RUN) pip-compile -o ci/requirements-docs.txt -U setup.py ci/requirements-docs.in

test: testclean
	$(RUN) python setup.py test --addopts "-v --flakes --cov=$(MODULE) --cov-report=html --cache-clear"

qc: testclean
	$(RUN) python setup.py test --addopts "-v --pep8 --mccabe"

doc:
	$(RUN) python setup.py build_sphinx

tox: testclean
	$(RUN) tox $(TOXFLAGS)

detox: testclean
	$(RUN) detox $(TOXFLAGS)

# image build

image:
	docker build -t $(IMAGE) $(DOCKERBUILDFLAGS) .

=== debian/changelog ===
cfgrib (0.8.4.4-1) unstable; urgency=medium

  * Initial release. (Closes: #907405)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Aug 2018 11:56:45 +0100

=== debian/control ===
Source: cfgrib
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10), 
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pytest,
 python3-xarray,
 python3-numpy,
 python3-attr,
 python3-cffi,
 python3-future,
 libeccodes0
Standards-Version: 4.2.0
Homepage: https://pypi.org/project/cfgrib
Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git

Package: python3-cfgrib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
 ${python3:Depends}, libeccodes0, python3-xarray
Description:  Python 3 module supporting the CF convention in GRIB files
 This module provides a Python3 interface to map GRIB files to the NetCDF
 Common Data Model following the CF Conventions. 
 The high level API is designed to support a GRIB backend for xarray and it is
 inspired by NetCDF-python and h5netcdf. 
 Low level access and decoding is performed via the ECMWF ecCodes library.

## cfgrib 0.9.4.1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,10 @@
 IMAGE := $(PACKAGE)
 MODULE := $(PACKAGE)
 PYTHONS := python3.7 python3.6 python3.5 pypy3 python2.7 pypy
+PYTHON := python
+
+PYTESTFLAGS_TEST := -v --flakes --doctest-glob '*.rst' --cov=$(MODULE) --cov=cf2cdm --cov-report=html --cache-clear
+PYTESTFLAGS_QC := --pep8 --mccabe $(PYTESTFLAGS_TEST)
 
 export WHEELHOUSE := ~/.wheelhouse
 export PIP_FIND_LINKS := $(WHEELHOUSE)
@@ -14,7 +18,7 @@
 	-e PIP_FIND_LINKS=$(PIP_FIND_LINKS) \
 	-e PIP_WHEEL_DIR=$(PIP_WHEEL_DIR) \
 	-e PIP_INDEX_URL=$$PIP_INDEX_URL
-PIP := pip
+PIP := $(PYTHON) -m pip
 MKDIR = mkdir -p
 
 ifeq ($(shell [ -d $(WHEELHOUSE) ] && echo true),true)
@@ -42,7 +46,7 @@
 	$(PIP) wheel -r ci/requirements-docs.txt
 
 local-wheelhouse:
-	for PYTHON in $(PYTHONS); do $(MAKE) local-wheelhouse-one PIP="$$PYTHON -m pip"; done
+	for PYTHON in $(PYTHONS); do $(MAKE) local-wheelhouse-one PYTHON=$$PYTHON; done
 	$(PIP) wheel -r ci/requirements-dev.txt
 
 local-install-dev-req:
@@ -50,6 +54,7 @@
 
 local-install-test-req: $(PIP_FIND_LINKS)
 	$(PIP) install -r ci/requirements-tests.txt
+	$(PIP) install -r ci/requirements-docs.txt
 
 local-develop:
 	$(PIP) install -e .
@@ -58,7 +63,7 @@
 	$(PIP) wheel -e .
 
 testclean:
-	$(RM) -r */__pycache__ .coverage .cache tests/.ipynb_checkpoints
+	$(RM) -r */__pycache__ .coverage .cache tests/.ipynb_checkpoints *.idx tests/sample-data/*.idx out*.grib
 
 clean: testclean
 	$(RM) -r */*.pyc htmlcov dist build .eggs
@@ -76,7 +81,7 @@
 
 notebook: DOCKERFLAGS += -p 8888:8888
 notebook:
-	$(RUN) jupyter notebook --ip=* --allow-root
+	$(RUN) jupyter notebook --ip=0.0.0.0 --allow-root
 
 wheelhouse:
 	$(RUN) make local-wheelhouse
@@ -86,13 +91,13 @@
 	$(RUN) pip-compile -o ci/requirements-docs.txt -U setup.py ci/requirements-docs.in
 
 test: testclean
-	$(RUN) python setup.py test --addopts "-v --flakes --cov=$(MODULE) --cov-report=html --cache-clear"
+	$(RUN) $(PYTHON) setup.py test --addopts "$(PYTESTFLAGS_TEST)"
 
 qc: testclean
-	$(RUN) python setup.py test --addopts "-v --pep8 --mccabe"
+	$(RUN) $(PYTHON) setup.py test --addopts "$(PYTESTFLAGS_QC)"
 
 doc:
-	$(RUN) python setup.py build_sphinx
+	$(RUN) $(PYTHON) setup.py build_sphinx
 
 tox: testclean
 	$(RUN) tox $(TOXFLAGS)

=== debian/changelog ===
cfgrib (0.9.4.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression of debian tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Nov 2018 10:25:42 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git

## cfgrib 0.9.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 PACKAGE := cfgrib
-IMAGE := $(PACKAGE)
+IMAGE := $(PACKAGE)-image
 MODULE := $(PACKAGE)
 PYTHONS := python3.7 python3.6 python3.5 pypy3 python2.7 pypy
 PYTHON := python
@@ -13,11 +13,11 @@
 export PIP_WHEEL_DIR := $(WHEELHOUSE)
 export PIP_INDEX_URL
 
-DOCKERBUILDFLAGS :=
+DOCKERBUILDFLAGS := --build-arg PIP_INDEX_URL=$(PIP_INDEX_URL)
 DOCKERFLAGS := -e WHEELHOUSE=$(WHEELHOUSE) \
 	-e PIP_FIND_LINKS=$(PIP_FIND_LINKS) \
 	-e PIP_WHEEL_DIR=$(PIP_WHEEL_DIR) \
-	-e PIP_INDEX_URL=$$PIP_INDEX_URL
+	-e PIP_INDEX_URL=$(PIP_INDEX_URL)
 PIP := $(PYTHON) -m pip
 MKDIR = mkdir -p

=== debian/changelog ===
cfgrib (0.9.5.1-1) unstable; urgency=medium

  * New upstream release
  * Drop unused dependency on ${shlibs:Depends}
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Jan 2019 10:05:14 +0000

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,14 @@
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git
 
 Package: python3-cfgrib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
- ${python3:Depends}, libeccodes0, python3-xarray
+Depends: ${misc:Depends}, libeccodes-data, ${python3:Depends}, libeccodes0, python3-xarray
 Description:  Python 3 module supporting the CF convention in GRIB files
  This module provides a Python3 interface to map GRIB files to the NetCDF
  Common Data Model following the CF Conventions.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=cfgrib

# The magic debhelper  rule
%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

override_dh_auto_test:
	@echo Bypassing tests which require installation

## cfgrib 0.9.7

=== debian/changelog ===
cfgrib (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Jun 2019 10:20:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), 
+Build-Depends: debhelper (>= 12), 
  dh-python,
  python3-all,
  python3-setuptools,

## cfgrib 0.9.7.1

=== debian/changelog ===
cfgrib (0.9.7.1-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Aug 2019 08:30:44 +0100

## cfgrib 0.9.7.2

=== debian/changelog ===
cfgrib (0.9.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Oct 2019 10:29:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 12), 
+Build-Depends: debhelper-compat (= 12), 
  dh-python,
  python3-all,
  python3-setuptools,
@@ -13,7 +13,7 @@
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git

## cfgrib 0.9.7.3

=== debian/changelog ===
cfgrib (0.9.7.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Nov 2019 18:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git

## cfgrib 0.9.7.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PACKAGE := cfgrib
 IMAGE := $(PACKAGE)-image
 MODULE := $(PACKAGE)
-PYTHONS := python3.7 python3.6 python3.5 pypy3 python2.7 pypy
+PYTHONS := python3.7 python3.6 python3.5 pypy3
 PYTHON := python
 
 PYTESTFLAGS_TEST := -v --flakes --doctest-glob '*.rst' --cov=$(MODULE) --cov=cf2cdm --cov-report=html --cache-clear
@@ -41,7 +41,7 @@
 	$(MKDIR) $@
 
 local-wheelhouse-one:
-	$(PIP) install wheel
+	$(PIP) install cython wheel
 	$(PIP) wheel -r ci/requirements-tests.txt
 	$(PIP) wheel -r ci/requirements-docs.txt

=== debian/changelog ===
cfgrib (0.9.7.7-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 not --with python3
  * Make test dependencies conditional and enable tests
  * Add test dependency python3-click

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 Feb 2020 11:39:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
- dh-python,
+ dh-sequence-python3,
  python3-all,
+ python3-pytest <!nocheck>,
+ python3-xarray <!nocheck>,
+ python3-click <!nocheck>,
  python3-setuptools,
- python3-pytest,
- python3-xarray,
  python3-numpy,
  python3-attr,
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=cfgrib
PY3VERS:= $(shell py3versions -s)

# The magic debhelper  rule
%:
	dh $@  --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for p in $(PY3VERS); do \
	PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
		pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
                done
endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs cfgrib
 ; done
Depends: python3-all,
         python3-pytest (>= 2.7.1),
         python3-xarray,
	 python3-click

## cfgrib 0.9.8.1

=== debian/changelog ===
cfgrib (0.9.8.1-1) unstable; urgency=medium

  * New upstream release
  * Close bugs fixed in previous release: Closes: #953748, #955010

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Mar 2020 10:00:10 +0100

cfgrib (0.9.7.7-2) unstable; urgency=medium

  * Add python3-cfgrib to test depends. Add simple load test
  * Add depends on python3-cffi
    Closes: #952748

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Mar 2020 10:15:28 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,8 @@
 
 Package: python3-cfgrib
 Architecture: any
-Depends: ${misc:Depends}, libeccodes-data, ${python3:Depends}, libeccodes0, python3-xarray
+Depends: ${misc:Depends}, libeccodes-data, 
+ ${python3:Depends}, libeccodes0, python3-xarray, python3-cffi
 Description:  Python 3 module supporting the CF convention in GRIB files
  This module provides a Python3 interface to map GRIB files to the NetCDF
  Common Data Model following the CF Conventions.

## cfgrib 0.9.8.4

=== debian/changelog ===
cfgrib (0.9.8.4-1) unstable; urgency=medium

  * New upstream release
  * debhelper level 13
  * Add d/gpb.conf with DEP-14 branch names

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Sep 2020 18:10:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  python3-all,
  python3-pytest <!nocheck>,

=== debian/tests/control ===
Tests: tryload
Depends: python3-cfgrib

## cfgrib 0.9.8.5

=== debian/changelog ===
cfgrib (0.9.8.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1; no changes required
  * Move to debhelper compat 13
  * Point Vcs-Git in d/control to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Jan 2021 18:29:03 +0000

cfgrib (0.9.8.4-2) unstable; urgency=medium

  * Add additional autopkg tests. Closes: #971455
  * Disable via XFAIL tests that fail due to Pandas (see #973819).
    Closes: #973115.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Nov 2020 14:46:49 +0000

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  python3-cffi,
  python3-future,
  libeccodes0
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
-Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git
+Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git -b debian/latest
 
 Package: python3-cfgrib
 Architecture: any

## cfgrib 0.9.9.1

=== debian/changelog ===
cfgrib (0.9.9.1-2) unstable; urgency=medium

  * Fix for pandas > 1.3. Closes: #973821, #1000726

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Dec 2021 15:37:37 +0000

cfgrib (0.9.9.1-1) unstable; urgency=medium

  * New upstream release. Closes: #993631
  * Udpdate backend_kwargs_errors_fail.patch for another case

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Oct 2021 16:18:10 +0100

cfgrib (0.9.9.0-1) unstable; urgency=medium

  * New upstream release
    - setup.py patch obsolete
    - pandas-xfail.patch updated for another instance
    - backend_kwargs_errors_fail.patch needed for test failures 
  * Add d/watch file
  * Build-depend on python3-eccodes
  * Standards-Version: 4.6.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Sep 2021 15:19:41 +0100

## cfgrib 0.9.10.0

=== debian/changelog ===
cfgrib (0.9.10.0-1) unstable; urgency=medium

  * New upstream release
  * Drop fix for pandas now included upstream
  * Drop pandas-xfail.patch - now works with pandas >1.0.3
  * Add patch extra_coords.patch: backend doesn't support this  yet	

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Feb 2022 08:53:44 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  python3-attr,
  python3-cffi,
  python3-future,
+ python3-eccodes,
  libeccodes0
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git -b debian/latest
@@ -22,7 +23,8 @@
 Package: python3-cfgrib
 Architecture: any
 Depends: ${misc:Depends}, libeccodes-data, 
- ${python3:Depends}, libeccodes0, python3-xarray, python3-cffi
+ ${python3:Depends}, libeccodes0, python3-xarray, python3-cffi,
+ python3-eccodes, python3-pandas
 Description:  Python 3 module supporting the CF convention in GRIB files
  This module provides a Python3 interface to map GRIB files to the NetCDF
  Common Data Model following the CF Conventions.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf .eggs
+	rm -rf .eggs cfgrib.egg-info
 
 
 override_dh_auto_test:

## cfgrib 0.9.10.1

=== debian/changelog ===
cfgrib (0.9.10.1-2) unstable; urgency=medium

  * Fix FTBFS due to pythonpath now needed when running tests to find
	module. Closes: #1017257
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 13:10:12 +0100

cfgrib (0.9.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Mar 2022 10:34:25 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-future,
  python3-eccodes,
  libeccodes0
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git -b debian/latest

## cfgrib 0.9.10.2

=== debian/changelog ===
cfgrib (0.9.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Oct 2022 10:04:07 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/cfgrib/cfgrib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cfgrib 0.9.10.3

=== debian/changelog ===
cfgrib (0.9.10.3-2) unstable; urgency=medium

  * Backport fix for Gaussian grid. Closes: #1033433
    - gaussian_grid.patch
  * Drop obsolete patches:
    - backend_kwargs_errors_fail.patch
    - extra_coords.patch
  * Build-Conflict: python3-cfgrib to ensure we don't use wrong version
    when testing
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Apr 2023 08:48:45 +0100

cfgrib (0.9.10.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Nov 2022 21:46:41 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  python3-future,
  python3-eccodes,
  libeccodes0
-Standards-Version: 4.6.1
+Build-Conflicts: python3-cfgrib
+Standards-Version: 4.6.2
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git -b debian/latest

## cfgrib 0.9.10.4

=== debian/changelog ===
cfgrib (0.9.10.4-4) unstable; urgency=medium

  * Drop unnecessary build-dep on python3-xarray
  * Fix typos in VCS URLs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jan 2024 06:15:42 +0000

cfgrib (0.9.10.4-3) unstable; urgency=medium

  * Drop python3-future dependencies. Closes: #1060025

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 07:00:32 +0000

cfgrib (0.9.10.4-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:24:49 +0100

cfgrib (0.9.10.4-1) experimental; urgency=medium

  * New upstream release
    - drop gaussian_geometry.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 May 2023 20:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,18 @@
  dh-sequence-python3,
  python3-all,
  python3-pytest <!nocheck>,
- python3-xarray <!nocheck>,
  python3-click <!nocheck>,
  python3-setuptools,
  python3-numpy,
  python3-attr,
  python3-cffi,
- python3-future,
  python3-eccodes,
  libeccodes0
 Build-Conflicts: python3-cfgrib
 Standards-Version: 4.6.2
 Homepage: https://pypi.org/project/cfgrib
-Vcs-Browser: https://salsa.debian.org:/science-team/cfgrib
-Vcs-Git: https://salsa.debian.org:/science-team/cfgrib.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/cfgrib
+Vcs-Git: https://salsa.debian.org/science-team/cfgrib.git -b debian/latest
 
 Package: python3-cfgrib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 export PYBUILD_NAME=cfgrib
 PY3VERS:= $(shell py3versions -s)
+
+export PYTHONPATH=$(shell pwd)
 
 # The magic debhelper  rule
 %:

## cfgrib 0.9.11.0

=== debian/changelog ===
cfgrib (0.9.11.0-1) unstable; urgency=medium

  * New upstream release
  * Disable tests until test code updated

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Apr 2024 06:32:13 +0100

## cfgrib 0.9.12.0

=== debian/changelog ===
cfgrib (0.9.12.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * S-V: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 May 2024 11:15:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cfgrib
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  python3-all,
@@ -14,7 +15,7 @@
  python3-eccodes,
  libeccodes0
 Build-Conflicts: python3-cfgrib
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pypi.org/project/cfgrib
 Vcs-Browser: https://salsa.debian.org/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org/science-team/cfgrib.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
+
+DEB_BUILD_OPTIONS +=  nocheck nodoc
+
 
 export PYBUILD_NAME=cfgrib
 PY3VERS:= $(shell py3versions -s)

## cfgrib 0.9.13.0

=== debian/changelog ===
cfgrib (0.9.13.0-2) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jul 2024 10:00:11 +0100

## cfgrib 0.9.14.0

=== debian/changelog ===
cfgrib (0.9.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jul 2024 08:08:37 +0100

## cfgrib 0.9.14.1

=== debian/changelog ===
cfgrib (0.9.14.1-1) unstable; urgency=medium

  * New upstream release
  * Switch homepage n d/control to github
  * Switch d/watch to github.com/ecmwf/cfgrib
  * Now build without nodoc. Ship statically built rst files

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Sep 2024 07:10:06 +0100

## cfgrib 0.9.15.0

=== debian/changelog ===
cfgrib (0.9.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Dec 2024 16:12:38 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libeccodes0
 Build-Conflicts: python3-cfgrib
 Standards-Version: 4.7.0
-Homepage: https://pypi.org/project/cfgrib
+Homepage: https://github.com/ecmwf/cfgrib
 Vcs-Browser: https://salsa.debian.org/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org/science-team/cfgrib.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export DH_VERBOSE=1
 
-DEB_BUILD_OPTIONS +=  nocheck nodoc
+DEB_BUILD_OPTIONS +=  nocheck 
 
 
 export PYBUILD_NAME=cfgrib

## cfgrib 0.9.15.1

=== Makefile ===

PACKAGE := cfgrib
IMAGE := $(PACKAGE)-image
MODULE := $(PACKAGE)

COV_REPORT := html

default: fix-code-style test

fix-code-style:
	black .
	isort .

unit-test: testclean
	python -m pytest -v --cov=. --cov-report=$(COV_REPORT) tests/

doc-test: testclean
	python -m pytest -v *.rst
	python -m pytest -v --doctest-modules cfgrib

test: unit-test doc-test

code-quality:
	flake8 . --count --select=E9,F63,F7,F82 --show-source --statistics
	flake8 . --count --exit-zero --max-complexity=10 --max-line-length=127 --statistics
	mypy --strict cfgrib tests/test_*py

code-style:
	black --check .
	isort --check .

qc: code-quality

testclean:
	$(RM) -r */__pycache__ .coverage .cache tests/.ipynb_checkpoints *.idx tests/sample-data/*.idx out*.grib

distclean: testclean
	$(RM) -r */*.pyc htmlcov dist build .eggs *.egg-info

=== debian/changelog ===
cfgrib (0.9.15.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Oct 2025 08:42:09 +0100

cfgrib (0.9.15.0-2) unstable; urgency=medium

  * Re-enable tests
  * Patch to remove bad patch headers in test
  * Build-dep on python3-pandas when testing

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jan 2025 11:48:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  python3-all,
  python3-pytest <!nocheck>,
  python3-click <!nocheck>,
+ python3-pandas <!nocheck>,
  python3-setuptools,
  python3-numpy,
  python3-attr,
@@ -15,7 +16,7 @@
  python3-eccodes,
  libeccodes0
 Build-Conflicts: python3-cfgrib
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/cfgrib
 Vcs-Browser: https://salsa.debian.org/science-team/cfgrib
 Vcs-Git: https://salsa.debian.org/science-team/cfgrib.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-
-DEB_BUILD_OPTIONS +=  nocheck 
-
 
 export PYBUILD_NAME=cfgrib
 PY3VERS:= $(shell py3versions -s)

=== debian/tests/control ===
Tests: tryload
Depends: python3-cfgrib
Restrictions: superficial

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/ecmwf/cfgrib/tags .*/v?(\d\d?\d?\..+).tar\.gz
